Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsTextFileRecSrc Class Reference

Text file record source for loading data. More...

## Public Member Functions
| NetricsTextFileRecSrc (String filename)
| Text file data source for loading data.
override bool | hasNext ()
| Returns true if the source has more records.
override NetricsRecord | getNext ()
| Get the next record from the source.
override void | reset ()
| Reset the source to the first record.
int | getCount ()
| Gets count of records currently processed.
void | close ()
| Close files associated with the source.
void | Dispose ()
| Closes attached file streams, if any.
abstract NetricsRecord | getNext ()
| Returns the next record.
abstract bool | hasNext ()
| Returns true if the source has more records.
abstract void | reset ()
| Reset the source to the first record.
bool | hasNext ()
| Returns true if the source has more records.
NetricsBaseRecord | getNext ()
| Returns the next record.
void | reset ()
| Reset the source to the first record.

## Detailed Description

Text file record source for loading data.

## Constructor & Destructor Documentation

## ◆ NetricsTextFileRecSrc()

NetricsServerInterface.NetricsTextFileRecSrc.NetricsTextFileRecSrc | ( | String | filename | ) |
| inline

Text file data source for loading data.

Parameters

  filename | The data file name.

## Member Function Documentation

## ◆ getNext()

override NetricsRecord NetricsServerInterface.NetricsTextFileRecSrc.getNext | ( |  | ) |
| inline virtual

Get the next record from the source.

Returns

Implements NetricsServerInterface.NetricsTableRecSrc.

## ◆ hasNext()

override bool NetricsServerInterface.NetricsTextFileRecSrc.hasNext | ( |  | ) |
| inline virtual

Returns true if the source has more records.

Returns

Implements NetricsServerInterface.NetricsTableRecSrc.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.